New iPhone apps must by 3.0 compatible

iphone-3-software

Apple has just informed iPhone developers that new applications submitted to the App Store will be rejected unless they are compatible for the forthcoming iPhone 3.0 software.

Existing applications in the App Store should already run on 3.0 without modification, but the company advised developers to test existing apps with the new software to ensure there are no compatibility issues.

Apple also warned owners of existing applications that 3.0 incompatible apps would be removed from the store after the software arrives (probably around Appleā€™s WWDC event in June).

[Via TechCrunch]